// itm_rtic_hello_48Mhz
//
// Use the vscode 48Mhz launch profiles

#![no_main]
#![no_std]

use cortex_m::iprintln;
use panic_halt as _;

use stm32f4xx_hal::prelude::*;

#[rtic::app(device = stm32f4xx_hal::stm32, peripherals = true)]
const APP: () = {
    #[init]
    fn init(ctx: init::Context) {
        // Set up the system clock.
        let rcc = ctx.device.RCC.constrain();
        let _clocks = rcc.cfgr.sysclk(48.mhz()).require_pll48clk().freeze();

        let mut p = ctx.core;
        let stim = &mut p.ITM.stim[0];
        for a in 0..=10 {
            iprintln!(stim, "RTIC Hello, world!! {}", a);
        }
    }
};
